# sc::Backtrack Class Reference

Inheritance diagram for sc::Backtrack:

List of all members.

## Public Member Functions
| Backtrack (const Ref< KeyVal > &)
int | update ()
| Take a step.
## Protected Attributes
double | backtrack_factor_

## Member Function Documentation

int sc::Backtrack::update | ( |  | ) | `[virtual]`

Take a step.

Returns 1 if the optimization has converged, otherwise 0.

Implements sc::Optimize.

The documentation for this class was generated from the following file:

- opt.h